Bug 845693 - dual head does not work on radeon HD 6500
dual head does not work on radeon HD 6500
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 18:14 EDT by Aldy Hernandez
Modified: 2013-08-01 09:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:43:46 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aldy Hernandez 2012-08-03 18:14:10 EDT
Description of problem:
I have what looks like a:
houston:~$ lspci | grep VGA
01:00.0 VGA compatible controller: ATI Technologies Inc NI Turks [AMD Radeon HD 6500]

I have 3 monitors-- my main Samsung LED 23" (SyncMaster PX2370) over HDMI, and two satellite smaller monitors on either side, both Acer LED 20" (one on the VGA port and one on the DVI-D port).

After doing a fresh install of fc17 on x86-64, upon bootup I only get 2 monitors working (the main Samsung LED 23" and one of the Acer LED 20").  However, the 3rd monitor is not working and the X login screen seems to be in the blank 3rd monitor.  This 3rd monitor is connected to the DVI-D port of the graphics card.

If I only boot with two monitors (the Samsung 23" over HDMI and one of the Acer monitors over VGA, I still can't get a working system as the Acer over VGA is partly garbled.

So... trying with 3 monitors gets me 2 working, but unable to log in because the 3rd one is where the login prompt is.  Trying with 2 does not work as one of the Acer monitors has half the screen garbled.

Interestingly if I boot with only my main Samsung over HDMI monitor, and then plug in both Acer monitors after login, everything works perfectly.  I just can't boot with more than one head.

My apologies for the long description.  Let me know if you need additional data.

Version-Release number of selected component (if applicable):
I don't know if these are relevant, but:
xorg-x11-drv-ati-6.14.4-6.20120602git930760942.fc17.x86_64
xorg-x11-server-Xorg-1.12.2-4.fc17.x86_64
kernel-3.4.6-2.fc17.x86_64

How reproducible:
Every bootup.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
This setup worked perfectly in fc16.
Comment 1 Fedora End Of Life 2013-07-04 00:28:56 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-08-01 09:43:50 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.